EDIT - bug #10248

Vocabulary is not shown in TermSearch
02/09/2023 09:41 AM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.36

Severity: normal Found in Version:

Description

The result of the term search should show the vocabulary and the term type, but content.localize(new TermRepresentation_L10n());
returns null, so the vocabulary label is not shown.

Associated revisions

Revision 165baee9 - 02/09/2023 02:10 PM - Katja Luther

ref #10248: localize should also localize voc dto

Revision 8b5235cf - 03/21/2023 11:22 PM - Andreas Miiller
fix NPE in StoreUtil.compareBySearchString

History

#1 - 02/09/2023 10:01 AM - Katja Luther

LocaleContext.getLanguages(); returns null because LocaleContextHandlerInterceptor.preHandle(HttpServietRequest request, HttpServietResponse
response, Object handler) is never called.

#2 - 02/09/2023 01:34 PM - Katja Luther

the localize method does not localize the vocabulary dto, for the term strings it works.

#3 - 02/09/2023 01:34 PM - Katja Luther

- Status changed from New to In Progress

#4 - 02/09/2023 02:13 PM - Katja Luther

- Status changed from In Progress to Resolved

This is fixed, please review.

#5 - 02/09/2023 02:13 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#6 - 03/05/2023 01:35 AM - Andreas Miiller

- Tags set to additivity

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
- Priority changed from New to Priority14

- % Done changed from 0 to 100

Works as expected

#7 - 03/20/2023 03:53 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.36
